#ifndef CvsCommandDialog_h
#define CvsCommandDialog_h

// $Id: CvsCommandDialog.h,v 1.4 2012/10/18 14:13:10 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "Counter.h"
#include "CvsCommand.h"
#include "CvsCommandModel.h"
#include "CustomDialog.h"

class TreeView;

class CvsCommandDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //! constructor
    CvsCommandDialog( QWidget* = 0 );

    //! list
    TreeView& list( void ) const
    { return *list_; }

    //! model
    CvsCommandModel& model( void )
    { return model_; }

    signals:

    //! emmitted when hidden
    void dialogHidden( void );

    protected:

    //! hide event
    virtual void closeEvent( QCloseEvent* );

    private:

    //! model
    CvsCommandModel model_;

    //! list
    TreeView* list_;

};

#endif
