
// $Id: CvsLockDialog.cpp,v 1.9 2012/10/10 13:09:23 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CvsLockDialog.h"
#include "BaseIcons.h"
#include "Debug.h"
#include "IconEngine.h"
#include "XmlOptions.h"

#include <QtGui/QLabel>

//______________________________________________________________________________________________
CvsLockDialog::CvsLockDialog( QWidget* parent, const QString& user, const QString& path ):
    CustomDialog( parent )
{

    Debug::Throw( "CvsLockDialog::CvsLockDialog.\n" );

    // create label
    QString buffer;
    QTextStream( &buffer )
        << "Found CVS lock in " << path << " held by user " << user << endl
        << "Abort pending actions ?";
    QLabel* label = new QLabel( buffer, this );

    QHBoxLayout *hLayout( new QHBoxLayout() );
    mainLayout().addLayout( hLayout, 1 );
    QLabel* pixmapLabel = new QLabel( this );
    pixmapLabel->setPixmap( IconEngine::get( ICONS::WARNING ).pixmap( iconSize() ) );
    hLayout->addWidget( pixmapLabel, 0, Qt::AlignHCenter );
    hLayout->addWidget( pixmapLabel, 1, Qt::AlignHCenter );

    // rename buttons
    okButton().setToolTip(
        "All pending actions will be aborted.\n"
        "User must take actions to remove the existing lock, \n"
        "or wait for the lock to be removed externally." );

    cancelButton().setToolTip( "The current action is kept pending untill the lock is removed." );

}
