// $Id: FileInfoModel.cpp,v 1.35 2012/10/26 06:47:09 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "FileInfoModel.h"

#include "FileIconProvider.h"
#include "Singleton.h"
#include "TimeStamp.h"
#include "XmlOptions.h"

#include <QtGui/QIcon>

//_______________________________________________________________
FileInfoModel::FileInfoModel( QObject* parent ):
    BaseFileInfoModel<FileInfo>( parent ),
    Counter( "FileInfoModel" ),
    iconProvider_( 0x0 )
{
    Debug::Throw( "FileInfoModel::FileInfoModel.\n" );
    iconProvider_ = new FileIconProvider( this );

    connect( Singleton::get().application(), SIGNAL( configurationChanged() ), SLOT( _updateConfiguration() ) );
    _updateConfiguration();

}

//____________________________________________________________
QIcon FileInfoModel::_icon( const QModelIndex& index ) const
{ return iconProvider_ ? iconProvider_->icon( get( index ) ):QIcon(); }

//________________________________________________________
void FileInfoModel::_updateConfiguration( void )
{
    Debug::Throw( "LogEntryModel::_updateConfiguration.\n" );
    iconProvider_->clear();
}
