#ifndef FileInfoModel_h
#define FileInfoModel_h

// $Id: FileInfoModel.h,v 1.20 2012/10/26 06:47:09 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "BaseFileInfoModel.h"
#include "Counter.h"
#include "FileInfo.h"

class FileIconProvider;

//! Job model. Stores job information for display in lists
class FileInfoModel : public BaseFileInfoModel<FileInfo>, public Counter
{

    //! Qt meta object declaration
    Q_OBJECT

    public:

    //! constructor
    FileInfoModel(QObject* = 0);

    //! destructor
    virtual ~FileInfoModel()
    {}

    protected:

    //! icon matching given model index
    virtual QIcon _icon( const QModelIndex& ) const;

    private slots:

    //! update configuration
    void _updateConfiguration( void );

    private:

    //! icon provider
    FileIconProvider* iconProvider_;

};

#endif
