#ifndef Menu_h
#define Menu_h
// $Id: Menu.h,v 1.8 2012/09/03 08:21:14 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "Counter.h"

#include <QtGui/QMenuBar>

class ViewModeMenu;
class RecentFilesMenu;
class Menu:public QMenuBar, public Counter
{

    public:

    //! creator
    Menu( QWidget* parent );

    //! view mode menu
    ViewModeMenu& viewModeMenu( void ) const
    { return *viewModeMenu_; }

    //! recent files menu
    RecentFilesMenu& recentFilesMenu( void ) const
    { return *recentFilesMenu_; }

    private:

    //! view mode
    ViewModeMenu* viewModeMenu_;

    //! recent files
    RecentFilesMenu* recentFilesMenu_;

};

#endif
